@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
/* Variables globales */
:root{
    --primary: #ff8500;
    --secondary: #54595f;
    --extra: #242422;
    --text: #65646b;
    --dark: #000000;
    --white: #ffffff;
    --gray-light: #a0b9c9;
    --gray-dark: #31393e;

    --rounded-full: 5rem;
    --rounded-md: .5rem;
    --rounded-lg: 1.5rem;

    --text-xs: 0.8rem;
    --text-sm: 0.9rem;
    --text-normal: 1.1rem;
    --text-md: 1.5rem;
    --text-lg: 1.8rem;
    --text-xl: 2.2rem;
    --text-xxl: 2.6rem;
}

/* Estilos Generales */
.logo{
    max-width: 180px;
}
html *{
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    box-sizing: border-box;
    color: var(--text);
}
*, *:before, *:after {
  box-sizing: inherit;
}

/* Heading & Paragraph */
p {
    color: var(--text);
    font-size: var(--text-normal);
    margin: 1rem 0;
}
h1, h2, h3{
    font-family: "poppins", sans-serif;
    color: var(--text);
    font-weight: 600;
    line-height: 1.2;
}
h1{
    font-size: 2.5rem;
    margin: 1.2rem 0;
}
h2{
    font-size: var(--text-xxl);
    margin: 1.2rem 0;
}
h3{
    font-size: 1.2rem;
    margin: 1rem 0;
}

/* Text Color */
.text-primary{
    color: var(--primary);
}
.text-secondary{
    color: var(--secondary);
}
.text-dark{
    color: var(--dark);
}
.text-white{
    color: var(--white);
}

/* Text Transform */
.uppercase{
    text-transform: uppercase;
}

/* Background Color */
.bg-primary{
    background-color: var(--primary);
}
.bg-secondary{
    background-color: var(--secondary);
}
.bg-extra{
    background-color: var(--extra);
}
/* Image Responsive */
img{
    width: 100%;
    height: auto;
}

/* Botones */
.btn{
    text-decoration: none;
    border-radius: var(--rounded-full);
    border-style: solid;
    border-color: #cccccc;
    border-width: 3px;
    padding: 1rem 4rem;
    margin: 10px;
    display: inline-block;
    text-wrap: nowrap;
    font-family: "Poppins", sans-serif;
    text-align: center;
    font-weight: 600;
    font-size: .9rem;
    background-color: #cccccc;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.btn i{
    margin-right: .8rem;
    font-size: 1.3rem;
}
.btn-primary{
    background-color: var(--primary);
    color: var(--white);
    border-color: var(--primary);
    font-size: var(--text-xs);
}
.btn-primary:hover{
    filter: brightness(120%);
}
.btn-primary i{
    color: var(--white);
}
.btn-secondary{
    background-color: var(--secondary);
    color: var(--white);
    border-color: var(--secondary);
}
.btn-secondary i{
    color: var(--white);
}
.btn-secondary:hover{
    filter: brightness(130%);
}
.btn-outline-secondary{
    background-color: transparent;
    color: var(--secondary);
    border-color: var(--secondary);
}
.btn-outline-secondary:hover{
    background-color: var(--secondary);
    color: var(--white);
}

/* BTN Responsive */
@media screen and (max-width: 768px){
    .btn{
        font-size: .8rem;
        border-width: 2px;
    }
}
/* Container */
.container{
    max-width: 1200px;
    margin: 0 auto;
    gap: 1.5rem;
}

/* Columns */
.columns{
    display: flex;
    gap: 1rem;
}
.columns > *{
    flex: 1;
    padding: 2rem;
}

/* Columns Responsive */
@media screen and (max-width: 1024px) {
    .columns > *{
        padding: 0.8rem;
    }
}
@media screen and (max-width: 992px) {
    .columns > *{
        padding: 0.5rem;
    }
}
@media screen and (max-width: 880px) {
    .columns{
        flex-direction: column;
    }
}

/* HEADER */
#cta-llamar.fixed {
  position: fixed;
  top: 20px;
  right: 1%;
  z-index: 999;
  background-color: var(--primary);
  color: white;
  padding: 1rem 4rem;
  box-shadow: 0 4px 10px rgba(0,0,0,0.2);
  text-align: center;
  animation: slideIn 0.3s ease-out;

}

@keyframes slideIn {
  from {
    opacity: 0;
    transform: translateY(-30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@media screen and (max-width: 768px) {
    #cta-llamar.fixed{
        width: 90%;
        right: 3%;
    }
}
header{
    background-image: url(img/GHMex-Video.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}
header .inner-header{
    padding: 0 20px 8rem 20px;
    background-color: rgba(0, 0, 0, .7);
}
header .inner-header h1{
    font-size: 3rem;
    line-height: 1;
    max-width: 700px;
    margin: 0;
}
header .inner-header p{
    max-width: 700px;
}
header .inner-header .col-2{
    padding: 0 120px;
    display: flex;
    align-items: center;
}

@media screen and (max-width: 768px) {
    header .inner-header h1{
        font-size: 2rem;
    }
    header .inner-header p{
        font-size: var(--text-sm);
    }
    header .inner-header .col-2{
        padding: 0 20px;
    }
}
section{
    padding: 20px;
}
/* SEC 1 */
.sec-1{
    margin-top: -100px;
    padding-bottom: 80px;
}
.sec-1 .cards{
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.sec-1 .cards .card{
    width: 25%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--secondary);
    padding: 30px 10px;
}
.sec-1 .cards .card .card-icon i{
    font-size: 48px;
    color: var(--primary);
}
.sec-1 .cards .card .card-title{
    font-size: 1.3rem;
    font-weight: 600;
    text-align: center;
    margin: 10px 0;
    color: #ffffff;
}
.sec-1 .cards .card .card-description{
    text-align: center;
    color: var(--gray-light);
}
@media screen and (max-width: 768px ){
    .sec-1 .cards{
        flex-direction: column;
    }
    .sec-1 .cards .card{
        width: 100%;
    }
}

/* SEC 2 */
.sec-2{
    border-top: solid 2px var(--secondary);
    padding-top: 80px;
    padding-bottom: 80px;
}
.sec-2 .title-sub{
    font-size: var(--text-md);
    font-weight: 300;
    letter-spacing: 3px;
    border-bottom: solid 2px var(--secondary);
}
.sec-2 .services{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.sec-2 .services .service{
    width: 25%;
    text-align: center;
    padding: 10px 40px;
}
.sec-2 .services .service .icon img{
    width: 100px;
    height: auto;
}
.sec-2 .services .service h3{
    font-size: 1.3rem;
    color: var(--dark);
}
.sec-2 .services .service .service-desc{
    font-size: .8rem;
}
@media screen and (max-width: 768px){
    .sec-2{
        padding-top: 30px;
        padding-bottom: 30px;
    }
    .sec-2 .title-sub{
        font-size: var(--text-sm);
        padding-bottom: 10px;
    }
    .sec-2 .title-section{
        text-align: center;
    }
    .sec-2 .services .service{
        width: 50%;
        padding: 5px 10px;
    }
    .sec-2 .services .service .icon img{
        width: 70px;
        height: auto;
    }
    .sec-2 .services .service h3{
        font-size: 1rem;
    }
    .sec-2 .services .service .service-desc{
        font-size: .7rem;
    }
}
/* SEC 3 */
.sec-3 h2, .sec-3 p{
    text-align: center;
}
.sec-3 .products{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 30px 0;
}
.sec-3 .products .product{
    width: 25%;
    text-align: center;
    padding: 10px 40px;
}
.sec-3 .products .product .product-icon{
    display: flex;
    justify-content: center;
    align-items: end;
    height: 100px;
}
.sec-3 .products .product .product-icon img{
    width: 80px;
    height: auto;
}
.sec-3 .products .product h3{
    font-size: 1rem;
    margin-top: 10px;
}
.sec-3 .products .product .product-desc{
    font-size: .8rem;
}
@media screen and (max-width: 768px){
    .sec-3{
        padding-top: 30px;
        padding-bottom: 30px;
    }
    .sec-3 .title-section{
        text-align: center;
        font-size: var(--text-md);
    }
    .sec-3 p{
        text-align: center;
        font-size: var(--text-smmd);
    }
    .sec-3 .products .product{
        width: 50%;
        padding: 5px 10px;
    }
    .sec-3 .products .product .product-icon img{
        width: 70px;
        height: auto;
    }
    .sec-3 .products .product h3{
        font-size: 1rem;
    }
    .sec-3 .products .product .product-desc{
        font-size: .7rem;
    }
}

/* SEC-4 */
.sec-4{
    background-image: url(img/bg-about.png);
    background-repeat: no-repeat;
    background-position: center right;
}

/* Column 1 */
.cont-img{
    position: relative;
}
.cont-img img{
    box-shadow: -40px 40px 0 0 var(--primary);
    z-index: 1;
    max-width: 400px;
}
.cont-img .cont-numbers{
    z-index: 2;
    position: absolute;
    top: 80px;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 20px;
}
.cont-img .cont-numbers .number{
    background-color: var(--secondary);
    padding: 30px;
    max-width: 220px;
    min-width: 220px;
    text-align: center;
}
.cont-img .cont-numbers .number h3{
    font-size: 2.5rem;
    font-weight: 800;
    margin: 0;
}
.cont-img .cont-numbers .number p{
    font-weight: 600;
    margin: 0;
}

/* Column 2 */
.column-2 h3{
    text-transform: uppercase;
    border-bottom: 2px solid var(--primary);
    padding-bottom: 10px;
}
.column-2 h4{
    padding: 20px 0;
    font-weight: 300;
    font-size: var(--text-md);
}
.column-2 ul{
    margin-top: 20px;
}
.column-2 ul li {
    padding-left: 40px;
    margin-bottom: 20px;
    list-style: none;
}
.column-2 ul li i{
    padding-right: 10px;
}
@media screen and (max-width: 768px){
    .sec-4 .columns .col h2{
        text-align: center;
    }
    .sec-4 .columns .column-2{
        padding: 60px 0 0 0;
    }
    .sec-4 .columns .column-2 h3{
        text-align: center;
    }
    .sec-4 .columns .column-2 p{
        font-size: var(--text-sm);
        text-align: center;
    }
    .sec-4 .columns .column-2 h4{
        font-size: var(--text-lg);
        text-align: center;
    }
    .sec-4 .columns .column-2 ul li{
        font-size: var(--text-sm);
    }
}
/* SEC 5 */
.sec-5{
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.sec-5 h2{
    position: relative;
    display: flex;
    justify-content: center;
}
.sec-5 h2::after{
    content: '';
    display: block;
    position: absolute;
    bottom: -10px;
    height: 4px;
    width: 100px;
    background-color: var(--primary);
}
.sec-5 p{
    text-align: center;
}

@media screen and (max-width:768px){
    .sec-5 h2{
        text-align: center;
        font-size: var(--text-md);
    }
}

/* SEC 8 */
.sec-8{
    padding: 80px 20px;
}
.sec-8 .columns .col-1{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.sec-8 .main-title{
    line-height: 2;
    font-weight: 800;
}
.sec-8 .sub-title{
    display: block;
    width: 100%;
    font-size: var(--text-lg);
    text-align: left;
}
.sec-8 .main-title span{
    background-color: var(--primary);
    padding: 10px 20px;
    color: var(--white) !important;
}
.sec-8 .columns .col-1 h3{
    display: block;
    width: 100%;
}
.sec-8 .columns .col-2{
    display: flex;
    justify-content: center;
    align-items: center;
}

/* SEC-9 */
.sec-9{
    padding: 80px 20px;
    background-image: url(img/bg_2000x643.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}
.sec-9 h2, .sec-9 h3{
    text-align: center;
    color: var(--dark);
}
.sec-9 .columns .col h3{
    text-align: left;
    font-size: var(--text-lg);
    color: var(--primary);
}
.sec-9 .columns .col p{
    color: var(--dark);
}

/* SEC-10 */
.sec-10{
    padding: 80px 20px;
    background-color: #273141;
    background-image: url(img/bg_2000x643.png);
    color: var(--white);
}
.sec-10 h2{
    text-align: center;
    color: var(--white);
}
.sec-10 h3, .sec-10 ul li, .sec-10 p{
    color: var(--white);
}
.sec-10 ul li::marker{
    color: var(--primary);
    list-style: square;
}

/* CARRUSEL DE CLIENTES */

.carousel-container {
  width: 100%;
  overflow: hidden;
  position: relative;
  padding: 40px 0;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease;
  padding: 0 10px; /* para que se vean los bordes de imagen en móviles */
  border: none;
}

.carousel-track img {
  flex: 0 0 calc(100% / 4); /* 4 en desktop */
  height: auto;
  object-fit: cover;
  padding: 40px 100px; /* espaciado entre imágenes */
  transition: transform 0.3s ease;
}

/* Bullets */
.carousel-bullets {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 20px;
}

.carousel-bullets .bullet {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: #54595f;
  cursor: pointer;
  transition: background-color 0.3s;
}

.carousel-bullets .active {
  background-color: #ff8500;
}

/* Responsive tablets: 3 imágenes completas */
@media (max-width: 1024px) {
  .carousel-track img {
    flex: 0 0 calc(100% / 3);
    padding: 10px 30px; /* espaciado entre imágenes */
  }
}

/* Responsive móviles: 2.2 imágenes (fragmentos visibles) */
@media (max-width: 768px) {
  .carousel-track img {
    flex: 0 0 45%;
    padding: 10px 10px; /* espaciado entre imágenes */
  }
}

/* SEC 6 */
.sec-6 h2{
    position: relative;
    display: flex;
    justify-content: center;
    font-size: var(--text-xxl);
}
.sec-6 h2::after{
    content: '';
    display: block;
    position: absolute;
    bottom: -10px;
    height: 4px;
    width: 100px;
    background-color: var(--primary);
}
.sec-6 p{
    text-align: center;
}
@media screen and (max-width: 768px) {
    .sec-6 h2{
        text-align: center;
    }
}

/* SEC 7 */
.sec-7 h2.title-section{
    text-align: center;
    font-size: 4rem;
}
.sec-7 h2.sub-title{
    font-size: var(--text-md);
    font-weight: 200;
    letter-spacing: 3px;
    text-align: center;
}
.sec-7 .columns .col{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 33.33%;
}
.sec-7 .columns ul.lista-sec{
    padding: 0;
}
.sec-7 .columns ul.lista-sec li.item-list{
    list-style: none;
    padding: 15px 0;
    font-size: var(--text-normal);
    font-weight: 600;
}
/* LISTA SEC-7 COL-1 */
.sec-7 .columns .col-1 ul.lista-sec li.item-list{
    display: flex;
    justify-content: end;
    align-items: center;
    text-align: right; 
}
.sec-7 .columns .col-1 ul.lista-sec li.item-list i{
    padding-left: 20px;
    color: var(--primary);
    font-size: var(--text-xl);
}
/* LISTA SEC-7 COL-3 */
.sec-7 .columns .col-3 ul.lista-sec li.item-list{
    display: flex;
    justify-content: start;
    align-items: center;
}
.sec-7 .columns .col-3 ul.lista-sec li.item-list i{
    padding-right: 20px;
    color: var(--primary);
    font-size: var(--text-xl);
}

@media screen and (max-width: 880px){
    .sec-7 .columns .col{
        width: 100%;
    }
    .sec-7 .columns .col-1 {
        order: 2;
    }
    .sec-7 .columns .col{
        padding-top: 0;
        padding-bottom: 0;
    }
    .sec-7 .columns ul.lista-sec li.item-list{
        padding: 5px 0;
        font-size: var(--text-sm);
    }
    .sec-7 .columns .col-1 ul.lista-sec li.item-list{
        justify-content: start;
        flex-direction: row-reverse;
        text-align: left;
    }
    .sec-7 .columns .col-1 ul.lista-sec li.item-list i{
        padding-right: 20px;
        padding-left: 0;
    }
    .sec-7 .columns .col-3 {
        order: 3;
    }
}
/* ACCORDION */
.accordion{
    padding: 30px 10px;
    display: grid;
    grid-template-columns: 50% 50%;
}
.accordion .col{
    padding: 1rem;
}
.accordion .block{
    flex: 50%;
    border-bottom: solid 1px var(--gray-light);
}
.accordion .block h3{
    display: flex;
    align-items: center;
    padding: 0 2rem;
    cursor: pointer;
    margin: 0;
    font-size: 1rem;
    background-color: #dddddd;
    min-height: 110px;
}
.accordion .block h3:hover{
    filter: brightness(105%);
}
.accordion .block .content p{
    font-size: 1rem;
}
.accordion .block .content{
    margin: 0;
    padding-left: 1rem;
    padding-right: 1rem;
    max-height: 0;
    overflow: hidden;
    transition: all 1.0s;
}
.accordion .block .content ul{
    padding-left: 4rem;
}
.accordion .block .content ul li{
    list-style: disc;
}
.accordion .block.active .content{
    max-height: 400px;
}
.accordion .block .icon {
    font-size: 10px;
    margin-right: 1rem;
    transition: all 1.0s ease;
}

.accordion .block .icon.active {
    transform: rotate(-90deg); /* Gira la flecha hacia abajo */
    color: var(--primary);
}
@media screen and (max-width: 880px){
    .disponibles{
        padding: 4rem .5rem 0 .5rem;
    }
    .accordion{
        grid-template-columns: 100%;
        padding: 0;
    }
    .accordion .col{
        padding: 0;
    }
}

/* FOOTER */
footer{
    height: 100vh;
    background-image: url(img/machine-heating-steel-p.webp);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
}

footer .inner-footer{
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .8);
    padding: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
footer .title-sub{
    font-size: var(--text-md);
    font-weight: 300;
    padding-top: 20px;
    padding-bottom: 30px;
}
footer .inner-footer .title-section{
    position: relative;
    padding-bottom: 10px;
    position: relative;
}
footer .inner-footer .title-section::after{
    content: '';
    display: block;
    width: 100px;
    height: 4px;
    background-color: var(--primary);
    position: absolute;
    bottom: 0;
}
footer p{
    font-size: var(--text-sm);
}
footer .col-form{
    display: none;
}
footer .col-form h2{
    font-size: var(--text-md);
}
footer .col-form h2{
    position: relative;
    padding-top: 20px;
    padding-bottom: 10px;
    margin-bottom: 30px;
    font-weight: 300;
}
footer .col-form h2::after{
    content: '';
    display: block;
    width: 100px;
    height: 4px;
    background-color: var(--primary);
    position: absolute;
    bottom: 0;
}
footer form span{
    display: block;
    text-align: right;
    font-size: var(--text-xs);
    padding-right: 20px;
    padding-bottom: 10px;
}

footer form .form-wrapper{
    display: flex;
    flex-direction: column;
}
footer form .form-wrapper span{
    display: flex;
    flex-direction: column;
    padding: 8px 0;
}
footer form .form-wrapper span label{
    display: none;
}

footer form .form-wrapper input[type=text], footer form .form-wrapper input[type=email], footer form .form-wrapper input[type=tel]{
    padding: 15px 20px;
    border: none;
    outline: none;
    background-color: rgba(255, 255, 255, .15);
    border-radius: 50px;
    color: var(--white);
    font-size: 1rem;
    font-weight: 600;
}

@media screen and (max-width: 1024px) {
    footer{
        height: 100%;
    }
    footer .inner-footer{
        padding-bottom: 160px;
    }
    footer .inner-footer .title-sub{
        font-size: var(--text-normal);
    }
    footer .inner-footer .title-section{
        font-size: var(--text-lg);
    }
}

/* Form Error Messaje */
.error{
    text-align: center;
    background-color: rgba(249, 249, 249, 0.95);
    margin: 0 auto;
    padding: 5rem 2rem;
    box-shadow: 0 0 20px rgba(0, 0, 0, .3);
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 20000;
    overflow: hidden;
}
.error i{
    color: rgb(224, 57, 57);
    font-size: var(--text-xxl);
}
.error h2{
    text-align: center;
    color: var(--dark);
    font-size: var(--text-xxl);
}
.error p{
    text-align: center;
    margin: 0 auto;
    max-width: 700px;
    color: var(--text);
    font-size: var(--text-lg);
}
button {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    height: auto;
    transform: translateY(-50%);
    background-color: transparent;
    border: none;
    cursor: pointer;
}
.error button{
    position: absolute;
    top: 3rem;
    right: 2rem;
    cursor: pointer;
}
.error button i{
    color: var(--dark);
    font-size: var(--text-md);
}

@media screen and (max-width: 768px){
    .error p{
        font-size: var(--text-md);
    }
}

.thankyou{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 5rem .5rem;
}
.thankyou .top-icon i{
    margin-top: 4rem;
    font-size: 4rem;
    color: greenyellow;
}
.thankyou h1{
    text-align: center;
}
.thankyou p{
    text-align: center;
    font-size: var(--text-md);
    max-width: 800px;
}
.thankyou a.btn i{
    color: var(--white);
}

/* Go to Top button */
.go-top{
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 120px;
    right: 32px;
    width: 50px;
    height: 50px;
    background-color: var(--primary);
    border-radius: .3rem;
    text-decoration: none;
    box-shadow: 0 0 .8rem rgba(0, 0, 0, .3);
    opacity: 0;
    pointer-events: none;
    transition: all .3s ease;
}
.go-top:hover{
    filter: brightness(110%);
    box-shadow: 0 0 .4rem rgba(0, 0, 0, .7);
    transform: scale(0.93);
}
.go-top:active{
    filter: brightness(110%);
    box-shadow: 0 0 .2rem rgba(0, 0, 0, .7);
    transform: scale(0.85);
}
.go-top.show {
      opacity: 1;
      pointer-events: auto;
    }
.go-top i{
    color: var(--white);
    font-size: var(--text-md);
}

